﻿@model Candidate
@{
    ViewData["Title"] = "Form";
}

<form method="post" enctype="multipart/form-data" asp-action="Create">
    <div class="card">
        <div class="card-header text-center h3 monospaceFont pt-3 pb-3">CV Submission</div>
        <div class="card-body">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="row p-5">
                <div class="col-md-8">
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label asp-for="FirstName"></label>
                            <input asp-for="FirstName" class="form-control" />
                            <span asp-validation-for="FirstName" class="text-danger"></span>
                        </div>
                        <div class="form-group col-md-6">
                            <label asp-for="LastName"></label>
                            <input asp-for="LastName" class="form-control" />
                            <span asp-validation-for="LastName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label asp-for="Address"></label>
                        <input asp-for="Address" class="form-control" />
                        <span asp-validation-for="Address" class="text-danger"></span>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label asp-for="Area"></label>
                            <input asp-for="Area" class="form-control" />
                            <span asp-validation-for="Area" class="text-danger"></span>
                        </div>
                        <div class="form-group col-md-6">
                            <label asp-for="City"></label>
                            <input asp-for="City" class="form-control" />
                            <span asp-validation-for="City" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="form-group">
                        <label asp-for="BirthDate"></label>
                        <input asp-for="BirthDate" class="form-control" />
                        <span asp-validation-for="BirthDate" class="text-danger"></span>
                    </div>
                    <br />
                    <fieldset class="form-group">
                        <div class="row">
                            <label asp-for="Gender" class="col-form-label col-sm-4"></label>
                            <div class="col-sm-8">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="Gender" id="maleGender" value="Male">
                                    <label class="form-check-label" for="maleGender">Male</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="Gender" id="femaleGender" value="Female">
                                    <label class="form-check-label" for="femaleGender">Female</label>
                                </div>
                                <span asp-validation-for="Gender" class="text-danger"></span>
                            </div>
                        </div>
                    </fieldset>
                    <br />
                    <div class="form-group row">
                        <div class="col-4">
                            <label>Upload your CV</label>
                        </div>
                        <div class="col-8">
                            <input id="cvFileId" type="file" name="cvFile" class="form-control-file" onchange="ValidateFile(this)" required />
                            <span id="validateSize" class="text-danger"></span>
                            <span id="validateType" class="text-danger"></span>
                        </div>
                    </div>

                </div>
                <div class="col-md-3 offset-md-1">
                    <img id="profileImage" src="~/Images/default_image.png" alt="default image" class="img-thumbnail" width="256" /><br /><br />
                    <div class="form-group">
                        <input id="profileFileId" type="file" name="profileFile" class="form-control-file" onchange="ValidateImage(this)" required />
                        <span id="showError" class="text-danger"></span>
                    </div>
                </div>
            </div>

            <div class="form-group row justify-content-center">
                <input type="submit" value="Submit" class="btn btn-secondary btn-lg" />
            </div>
        </div>
    </div>
</form>

@section Scripts {
    <script type="text/javascript">
        function ValidateImage(input) {
            if (input.files && input.files[0] && input.files[0]['type'].split('/')[0] === 'image') {
                $('#showError').text('');
                var reader = new FileReader();
                reader.onload = function (e) {
                    var image = new Image();
                    image.src = e.target.result;
                    image.onload = function () {
                        var height = this.height;
                        var width = this.width;
                        if (height > 256 || width > 256) {
                            $('#showError').text('Height and Width must not exceed 256px.');
                            $('#profileImage').attr('src', '/Images/default_image.png');
                            $('#profileFileId').val('');
                        }
                        else
                            $('#profileImage').attr('src', e.target.result);
                    }
              
                }
                reader.readAsDataURL(input.files[0]);
            }
            else {
                $('#showError').text('you must choose Image');
                $('#profileImage').attr('src', '/Images/default_image.png');
                $('#profileFileId').val('');
            }
        }

        function ValidateFile(input) {
            if (input.files && input.files[0]) {
                console.log(input.files[0]);
                var result = input.files[0];
                //validate the size of the file
                if (result.size > 1048576) {
                    $('#validateSize').text('Maximum size allowed is 1 MB.');
                    $('#cvFileId').val('');
                }
                else
                    $('#validateSize').text('');

                //validate the extension of the file
                var fileName = result.name;
                var ext = fileName.split('.').pop();
                if (ext == "pdf" || ext == "docx" || ext == "doc") {
                    $('#validateType').text('');
                }
                else {
                    $('#validateType').text('Invalid File. It must be PDF or Word File.');
                    $('#cvFileId').val('');
                }
            }

        }
    </script>
}

